summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcin Miroslaw <bug@mejor.pl>2009-11-22 21:20:04 +0000
committerMarcin Miroslaw <bug@mejor.pl>2009-11-22 21:20:04 +0000
commit636e8e5556072f31ab6bc5fd6624ebece40bf0d5 (patch)
treea97f041fbe67783349b3c5052d9ac60607b51233 /sys-fs/fuse-zip/fuse-zip-0.2.8.ebuild
parentnet-misc/anytun: fixed indentation (diff)
downloadsunrise-636e8e5556072f31ab6bc5fd6624ebece40bf0d5.tar.gz
sunrise-636e8e5556072f31ab6bc5fd6624ebece40bf0d5.tar.bz2
sunrise-636e8e5556072f31ab6bc5fd6624ebece40bf0d5.zip
sys-fs/fuse-zip: Initial commit, bug #241202. Thanks to Sergey Dryabzhinsky for proposal of ebuild.
svn path=/sunrise/; revision=9580
Diffstat (limited to 'sys-fs/fuse-zip/fuse-zip-0.2.8.ebuild')
-rw-r--r--sys-fs/fuse-zip/fuse-zip-0.2.8.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/sys-fs/fuse-zip/fuse-zip-0.2.8.ebuild b/sys-fs/fuse-zip/fuse-zip-0.2.8.ebuild
new file mode 100644
index 000000000..6fd8c2082
--- /dev/null
+++ b/sys-fs/fuse-zip/fuse-zip-0.2.8.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="FUSE file system to navigate, extract, create and modify ZIP archives based on libzip"
+HOMEPAGE="http://code.google.com/p/fuse-zip/"
+SRC_URI="http://fuse-zip.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND="dev-libs/libzip
+ sys-fs/fuse"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # Fix strip than installing fuse-zip
+ sed -i -e 's/install -m 755 -s/install -m 755/' Makefile || die "sed failed"
+}
+
+src_install() {
+ emake INSTALLPREFIX="${D}"/usr install || die "Failed to install"
+ prepalldocs
+}